Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java	(revision 56a6233da687fb3a9b7a2004a0b368deb201a333)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java	(revision 4ab3aaefcfe1466d2975a6c5f6e26ac579048bb2)
@@ -7,3 +7,7 @@
 public interface AdopterService {
     List<Adopter> findAllThatNeedApproval();
+
+    Adopter findById(Integer id);
+
+    void save(Adopter adopter);
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java	(revision 56a6233da687fb3a9b7a2004a0b368deb201a333)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java	(revision 4ab3aaefcfe1466d2975a6c5f6e26ac579048bb2)
@@ -24,3 +24,13 @@
                 .collect(Collectors.toList());
     }
+
+    @Override
+    public Adopter findById(Integer id) {
+        return this.adopterRepository.findById(id).get();
+    }
+
+    @Override
+    public void save(Adopter adopter) {
+        this.adopterRepository.save(adopter);
+    }
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/EmployeeController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/EmployeeController.java	(revision 56a6233da687fb3a9b7a2004a0b368deb201a333)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/EmployeeController.java	(revision 4ab3aaefcfe1466d2975a6c5f6e26ac579048bb2)
@@ -1,8 +1,14 @@
 package finki.paw5.web.controllers;
 
+import finki.paw5.model.entities.Adopter;
+import finki.paw5.model.entities.Employee;
 import finki.paw5.service.AdopterService;
+import finki.paw5.service.EmployeeService;
+import jakarta.servlet.http.HttpServletRequest;
 import org.springframework.stereotype.Controller;
 import org.springframework.ui.Model;
 import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PathVariable;
+import org.springframework.web.bind.annotation.PostMapping;
 import org.springframework.web.bind.annotation.RequestMapping;
 
@@ -10,15 +16,32 @@
 @RequestMapping("/")
 public class EmployeeController {
+
     private final AdopterService adopterService;
+    private final EmployeeService employeeService;
 
-    public EmployeeController(AdopterService adopterService) {
+    public EmployeeController(AdopterService adopterService, EmployeeService employeeService) {
         this.adopterService = adopterService;
+        this.employeeService = employeeService;
     }
 
-
     @GetMapping("/approve-adopters")
-    public String getHomePage(Model model){
+    public String getApprovalPage(Model model){
         model.addAttribute("needApproval", this.adopterService.findAllThatNeedApproval());
         return "/approve-adopters";
     }
+
+    @PostMapping("/submit-approval-{id}")
+    public String approveAdopter(@PathVariable Integer id, HttpServletRequest request){
+
+        Employee employeeVerificator = (Employee) request.getSession().getAttribute("user");
+
+        Adopter adopter = this.adopterService.findById(id);
+
+        adopter.setVerified(true);
+        adopter.setEmployeeVerificator(employeeVerificator);
+
+        this.adopterService.save(adopter);
+
+        return "redirect:/approve-adopters";
+    }
 }
Index: Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html	(revision 56a6233da687fb3a9b7a2004a0b368deb201a333)
+++ Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html	(revision 4ab3aaefcfe1466d2975a6c5f6e26ac579048bb2)
@@ -50,11 +50,25 @@
 <div>
   <h2>Adopters who are waiting for your approval</h2>
-    <ul>
-      <li
-          th:each="adopter : ${needApproval}"
-          th:text="${adopter.getName()}">
-          <!--napravi tabela-->
-      </li>
-    </ul>
+    <table>
+        <tr>
+            <td>Name</td>
+            <td>Email Address</td>
+            <td>Telephone Number</td>
+            <td></td>
+        </tr>
+        <tr th:each="adopter : ${needApproval}">
+            <td th:text="${adopter.getName()}"></td>
+            <td th:text="${adopter.getEmail()}"></td>
+            <td th:text="${adopter.getTelephone()}"></td>
+            <td>
+                <form method="POST"
+                      th:action="@{'/submit-approval-{id}' (id=${adopter.getId()})}">
+                    <button id="submit"
+                            type="submit"
+                            class="btn">Approve</button>
+                </form>
+            </td>
+        </tr>
+    </table>
 </div>
 </body>
